<id>
YouTube in Profile for YaBB 2.4
</id>

<version>
1.1
</version>

<mod info>
Description
-----------
Adds YouTube info in user profile and message view

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
3) Upload language file to your server in ASCII mode.
4) Upload images in Binary mode.

History
-------
1.0 - First release - 13th May 2009
1.1 - Added to ManageTemplates.pl - 10th November 2009

Files to edit
-------------
Admin/ManageTemlates.pl
Admin/ModList.pl 
Sources/Display.pl 
Sources/Load.pl 
Sources/MyCenter.pl 
Sources/Profile.pl 
Sources/System.pl 
Templates/default/Display.template
Templates/yabb2/Display.template
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ManageTemplates.pl
</edit file>

<search for>
		$contactblock =~ s/({|<)yabb facebook(}|>)/$facebookad/g;
</search for>

<add after>
		$contactblock =~ s/({|<)yabb youtube(}|>)//g;
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$youtube_mod = "YouTube in Profile|Derek Barnstorm|Adds YouTube info in user profile and message view|1.1|10th November 2009";
	push (@installed_mods, "$youtube_mod");
</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		my ($userlocation, $aimad, $yimad, $msnad, $gtalkad, $skypead, $myspacead, $facebookad, $icqad, $buddyad, $addbuddy, $isbuddy, $addbuddylink, $userOnline, $signature_hr, $lastmodified, $memberinfo, $template_postinfo, $template_ext_prof, $template_profile, $template_quote, $template_email, $template_www, $template_pm);
</search for>

<add after>
		my ($youtubead);
</add after>

<search for>
			$facebookad = ${$uid.$musername}{'facebook'} ? qq~$menusep${$uid.$musername}{'facebook'}~ : '';
</search for>

<add after>
			$youtubead = ${$uid.$musername}{'youtube'} ? qq~$menusep${$uid.$musername}{'youtube'}~ : '';
</add after>

<search for>
		$contactblock =~ s/({|<)yabb facebook(}|>)/$facebookad/g;
</search for>

<add after>
		$contactblock =~ s/({|<)yabb youtube(}|>)/$youtubead/g;
</add after>

<edit file>
Sources/Load.pl
</edit file>

<search for>
		$facebookimg = qq~<img src="$imagesdir/facebook.gif" alt="${$uid.$user}{'facebook'}" title="${$uid.$user}{'facebook'}" border="0" />~;
</search for>

<add after>
		$youtubeimg = qq~<img src="$modimgurl/YouTube/youtube.gif" alt="${$uid.$user}{'youtube'}" title="${$uid.$user}{'youtube'}" border="0" />~;
</add after>

<search for>
		$facebookimg = qq~<span class="imgwindowbg">Facebook</span>~;
</search for>

<add after>
		$youtubeimg = qq~<span class="imgwindowbg">YouTube</span>~;
</add after>

<search for>
		$facebookimg = qq~<img src="$yyhtml_root/Buttons/$language/facebook.png" alt="${$uid.$user}{'facebook'}" title="${$uid.$user}{'facebook'}" border="0" />~;
</search for>

<add after>
		$youtubeimg = qq~<img src="$modimgurl/YouTube/youtube.png" alt="${$uid.$user}{'youtube'}" title="${$uid.$user}{'youtube'}" border="0" />~;
</add after>

<search for>
	${$uid.$user}{'facebook'} = ${$uid.$user}{'facebook'} ? qq~<a href="http://www.facebook.com/profile.php?id=${$uid.$user}{'facebook'}" target="_blank">$facebookimg</a>~ : '';
</search for>

<add after>
	${$uid.$user}{'youtube'} = ${$uid.$user}{'youtube'} ? qq~<a href="http://www.youtube.com/${$uid.$user}{'youtube'}" target="_blank">$youtubeimg</a>~ : '';
</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
			my $facebookad = ${$uid.$usrname}{'facebook'} ? qq~$menusep${$uid.$usrname}{'facebook'}~ : '';
</search for>

<add after>
			my $youtubead = ${$uid.$usrname}{'youtube'} ? qq~$menusep${$uid.$usrname}{'youtube'}~ : '';
</add after>

<search for>
			$membAdInfo = $profbutton . $wwwlink . $msnad . $gtalkad . $icqad . $yimad . $aimad . $skypead . $myspacead . $facebookad;
</search for>

<replace>
			$membAdInfo = $profbutton . $wwwlink . $msnad . $gtalkad . $icqad . $yimad . $aimad . $skypead . $myspacead . $facebookad . $youtubead;
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
&LoadLanguage('Profile');
</search for>

<add after>
&LoadLanguage('YouTube');
</add after>

<search for>
		<td align="left"><label for="facebook"><span class="small">$profile_txt{'575'}</span></label><br /><input type="text" maxlength="50" name="facebook" id="facebook" size="40" value="${$uid.$user}{'facebook'}" /></td>
	</tr>
</search for>

<add after>
    <tr class="windowbg">
		<td width="320"><label for="youtube"><b>$youtube_txt{'01'}:</b><br /><span class="small">$youtube_txt{'02'}</span></label></td>
		<td align="left"><label for="youtube"><span class="small">$youtube_txt{'03'}</span></label><br /><input type="text" maxlength="50" name="youtube" id="youtube" size="40" value="${$uid.$user}{'youtube'}" /></td>
	</tr>
</add after>

<search for>
	&ToHTML($member{'facebook'});
</search for>

<add after>
    &ToHTML($member{'youtube'});
</add after>

<search for>
	${$uid.$user}{'facebook'} = $member{'facebook'};
</search for>

<add after>
	${$uid.$user}{'youtube'} = $member{'youtube'};
</add after>

<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_myspace, $row_facebook, $row_email, $row_website, $row_signature, $showusertext);
</search for>

<add after>
	my ($row_youtube);
</add after>

<search for>
			<a href="http://www.facebook.com/profile.php?id=${$uid.$user}{'facebook'}" target="_blank">$profile_txt{'573'} ${$uid.$user}{'realname'}</a>
			</div>~;
	}
</search for>

<add after>
	if (${$uid.$user}{'youtube'}) {
		$row_youtube = qq~
			<div style="float: left; clear: left; width: 30%; padding-top: 5px;  padding-bottom: 5px;">
			<b>$youtube_txt{'01'}: </b>
			</div>
			<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
			<img src="$modimgurl/YouTube/youtube.gif" alt="" border="0" style="vertical-align: middle;" />
			<a href="http://www.youtube.com/${$uid.$user}{'youtube'}" target="_blank">$youtube_txt{'01'} ${$uid.$user}{'realname'}</a>
			</div>~;
	}
</add after>

<search for>
			$row_facebook
</search for>

<add after>
			$row_youtube
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(realname password position addgroups email hidemail regdate regtime regreason location bday gender userpic usertext signature template language stealth webtitle weburl icq aim yim skype myspace facebook msn gtalk timeselect timeformat timeoffset dsttimeoffset dynamic_clock postcount lastonline lastpost lastim im_ignorelist im_popup im_imspop pmmessprev pmviewMess pmactprev notify_me board_notifications thread_notifications favorites buddylist cathide pageindex reversetopic postlayout sesquest sesanswer session lastips onlinealert offlinestatus awaysubj awayreply awayreplysent spamcount spamtime);
</search for>

<add after>
	push(@tags, "youtube");
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
$contactlist = qq~
	{yabb profile}{yabb email}{yabb pm}{yabb www}{yabb msn}{yabb gtalk}{yabb skype}{yabb myspace}{yabb facebook}{yabb icq}{yabb yim}{yabb aim}{yabb addbuddy}
~;
</search for>

<replace>
$contactlist = qq~
	{yabb profile}{yabb email}{yabb pm}{yabb www}{yabb msn}{yabb gtalk}{yabb skype}{yabb myspace}{yabb facebook}{yabb youtube}{yabb icq}{yabb yim}{yabb aim}{yabb addbuddy}
~;
</replace>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
$contactlist = qq~
	<yabb profile><yabb email><yabb pm><yabb www><yabb msn><yabb gtalk><yabb skype><yabb myspace><yabb facebook><yabb icq><yabb yim><yabb aim><yabb addbuddy>
~;
</search for>

<replace>
$contactlist = qq~
	<yabb profile><yabb email><yabb pm><yabb www><yabb msn><yabb gtalk><yabb skype><yabb myspace><yabb facebook><yabb youtube><yabb icq><yabb yim><yabb aim><yabb addbuddy>
~;
</replace>
